Ubuntu

X restarts intermittently when flash is running in chromium since upgrade to precise

Reported by Reuben Firmin on 2012-04-30
This bug report is a duplicate of:  Bug #973096: Nvidia driver causes xorg crash. Edit Remove
18
This bug affects 4 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers (Ubuntu)
Undecided
Unassigned

Bug Description

This has happened three times to me since I upgraded to Precise on Friday eve (3 days ago).

On one occasion I was watching a flash video; on the others I was just browsing the web.

This does not happen by itself; I leave the computer running overnight, and my lock screen is always present when I wake it up in the morning.

Let me know if you need more info to debug.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: xorg 1:7.6+12ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-24.37-generic 3.2.14
Uname: Linux 3.2.0-24-generic x86_64
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 295.40 Thu Apr 5 21:37:00 PDT 2012
 GCC version: gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5)
.tmp.unity.support.test.0:

ApportVersion: 2.0.1-0ubuntu6
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,compiztoolbox,gnomecompat,move,place,imgpng,resize,unitymtgrabhandles,vpswitch,mousepoll,regex,snap,grid,animation,workarounds,session,wall,expo,fade,ezoom,scale,unityshell]
CompositorRunning: compiz
CurrentDmesg:
 [158942.697618] do_general_protection: 36 callbacks suppressed
 [158942.697622] Xorg[8367] general protection ip:7f117b1586a9 sp:7fff7d6f7ef0 error:0 in nvidia_drv.so[7f117b0f7000+6e0000]
Date: Mon Apr 30 07:05:09 2012
DistUpgraded: 2012-04-27 19:43:41,008 DEBUG enabling apt cron job
DistroCodename: precise
DistroVariant: ubuntu
DkmsStatus: nvidia-current, 295.40, 3.2.0-24-generic, x86_64: installed
EcryptfsInUse: Yes
ExtraDebuggingInterest: Yes, whatever it takes to get this fixed in Ubuntu
GraphicsCard:
 NVIDIA Corporation G92 [GeForce 8800 GT] [10de:0611] (rev a2) (prog-if 00 [VGA controller])
   Subsystem: eVga.com. Corp. Device [3842:c800]
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
JockeyStatus:
 xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Enabled, In use)
 xorg:nvidia_current_updates - NVIDIA accelerated graphics driver (post-release updates) (Proprietary, Disabled, Not in use)
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 003: ID 058f:6254 Alcor Micro Corp. USB Hub
 Bus 002 Device 002: ID 04f2:0402 Chicony Electronics Co., Ltd Genius LuxeMate i200 Keyboard
 Bus 001 Device 004: ID 046d:c408 Logitech, Inc. Marble Mouse (4-button)
MachineType: System manufacturer System Product Name
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-24-generic root=UUID=aaa725ec-2049-40d5-a006-6c6d7308d9fa ro quiet splash vt.handoff=7
SourcePackage: xorg
UpgradeStatus: Upgraded to precise on 2012-04-27 (2 days ago)
dmi.bios.date: 03/17/2008
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: ASUS P5N-E SLI ACPI BIOS Revision 1002
dmi.board.name: P5N-E SLI
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: 1.XX
dmi.chassis.asset.tag: 123456789000
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvrASUSP5N-ESLIACPIBIOSRevision1002:bd03/17/2008:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP5N-ESLI:rvr1.XX:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
version.compiz: compiz 1:0.9.7.6-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.32-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Reuben Firmin (reubenf) wrote :
Reuben Firmin (reubenf) wrote :

This happened again while watching a flash video. I wonder if the previous occasions also had flash running on the page. Seems like it may be a bad interaction between flash, nvidia & xorg perhaps?

Reuben Firmin (reubenf) wrote :

Confirmed. Watching a ustream video just hard crashed X (with a good deal of screen corruption).

summary: - X restarts intermittently since upgrade to precise
+ X restarts intermittently when flash is running in chromium since
+ upgrade to precise
Reuben Firmin (reubenf) wrote :

Just happened w/o flash running (but again browsing the web). Removing flash from bug description.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg (Ubuntu):
status: New → Confirmed
danrgmc (danrgmc-yahoo) wrote :

This has been going on with me also since did clean install last Friday. I removed everything pertaining to Nvidia through Synaptic-now using Nouveau driver-no problems now.

Timo Aaltonen (tjaalton) on 2012-05-03
affects: xorg (Ubuntu) → nvidia-graphics-drivers (Ubuntu)
Reuben Firmin (reubenf) wrote :

I can't use nouveau because the fonts are crappy on my setup.

I switched to version current-updates of the nv driver, and found it to be more stable (but to still have the problem.) I then switched to Ubuntu 2d, and so far haven't had the issue reoccur.

Stephen Allen (stephen6ipa) wrote :

This bug is in it's own league. Has anyone personally seen a bug through to its fixed conclusion on this website? There are so many different Bug Report (#'s) for the same issue. I also have a problem with duel monitors and I am just not seeing any progress. So I am wondering if these bugs get fixed in an update ie one day update manager will be the ubuntu bug messiah and magically fix the bug? Is that the way it works? Or do I have to be more proactive and look for and apply the bug fixes? Seriously considering going back to 11.10 where things worked. Never - Never - never (since i have been using ubuntu from version 8) have I ever lost work or time because of a nasty bug like this one. Is there a way you can pay for a working ubuntu 12.04? Anybody care to comment?

Reuben Firmin (reubenf) wrote :

See https://bugs.launchpad.net/bugs/973096 - much wider discussion there. So far ubuntu 2D has been the only reliable recourse for me.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers